# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name haddock-library

%bcond_with tests

# no useful debuginfo for Haskell packages without C sources
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        1.1.1
Release:        1%{?dist}
Summary:        Library exposing some functionality of Haddock

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-deepseq-devel
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-base-compat-devel
BuildRequires:  ghc-hspec-devel
%endif
# End cabal-rpm deps

%description
Haddock is a documentation-generation tool for Haskell libraries.
These modules expose some functionality of it without pulling in the GHC
dependency. Please note that the API is likely to change so specify upper
bounds in your project if you can't release often. For interacting with Haddock
itself, see the ‘haddock’ package.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development
files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
# for "dist/doc/html/haddock-library/haddock-prolog7045.txt: invalid argument"
LANG=en_US.utf8
%ghc_lib_build


%install
%ghc_lib_install


%check
%if %{with tests}
%cabal test
%endif


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Thu Jan 15 2015 Jens Petersen <petersen@redhat.com> - 1.1.1-1
- use utf8 for build to avoid error with haddock-prolog7045.txt

* Thu Jan 15 2015 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 1.1.1
- spec file generated by cabal-rpm-0.9.2
